from django.urls import path
from django.contrib.auth import views as auth_views
from . import views

urlpatterns = [
    path("", views.home, name="home"),
    path("produk/", views.product_list, name="product_list"),
    path("kategori/<slug:category_slug>/", views.product_list, name="product_list_by_category"),
    path("produk/<slug:slug>/", views.product_detail, name="product_detail"),
    path("toko/<slug:slug>/", views.vendor_detail, name="vendor_detail"),
    path("login/", auth_views.LoginView.as_view(template_name="core/login.html", redirect_authenticated_user=True), name="vendor_login"),
]
